List sessions for a patient

GET
/patients/{id}/sessions

Authorization

BearerAuth
AuthorizationBearer <token>

Medblocks API key for server-side requests.

In: header

Path Parameters

id*string

Your patient_id from Patient creation or Session upsert.

Query Parameters

limit?integer

Maximum number of items to return.

Default10
Range1 <= value <= 100
starting_after?string

Pagination cursor from next_cursor.

status?string

Filter by Session status.

Value in"open" | "complete" | "expired"

Header Parameters

Version?string

Date-pinned API version. If omitted, Medblocks uses the version pinned on your API key.

Response Body

application/json

application/json

curl -X GET "https://example.com/patients/string/sessions" \  -H "Version: 2026-04-25"
{  "resource_type": "list",  "data": [    {      "id": "sess_01J9YQ8M2X4VZ6P2K5RH7M3KQT",      "resource_type": "session",      "status": "open",      "url": "https://app.medblocks.com/c/9c9b6f7a8e4f4a3b9c1e6f3a2d8b7c4d",      "patient_id": "user_42",      "connection_id": null,      "recommended_connection_ids": [        "fhirsrc_02Zh2bnvRoWQJYgOAkI0Twcc",        "fhirsrc_0a9Ea55aR4u7HaWMyFBN8wcc",        "fhirsrc_lcvXRHLSSI2WK9Prrt5Qggcc"      ],      "return_url": "https://app.example.com/connected",      "return_button_label": "Acme Health",      "connections": [],      "expires_at": "2026-04-25T15:00:00.000Z",      "metadata": {        "signup_source": "checkout"      },      "created_at": "2026-04-25T14:30:00.000Z"    }  ],  "has_more": false,  "next_cursor": null}
{  "error": {    "type": "string",    "code": "string",    "message": "string",    "param": "string",    "doc_url": "http://example.com",    "request_id": "string"  }}
Non-2xx responses use the standard API error envelope. Log error.code and error.request_id for support.